### YamlMime:ManagedReference
items:
- uid: Voile.Resources.ResourceLoader`1
  commentId: T:Voile.Resources.ResourceLoader`1
  id: ResourceLoader`1
  parent: Voile.Resources
  children:
  - Voile.Resources.ResourceLoader`1.Load(System.String)
  - Voile.Resources.ResourceLoader`1.LoadResource(System.String)
  - Voile.Resources.ResourceLoader`1.Reload
  - Voile.Resources.ResourceLoader`1.SupportedExtensions
  - Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  - Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
  - Voile.Resources.ResourceLoader`1._loadedResources
  langs:
  - csharp
  - vb
  name: ResourceLoader<T>
  nameWithType: ResourceLoader<T>
  fullName: Voile.Resources.ResourceLoader<T>
  type: Class
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ResourceLoader
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile.Resources
  summary: Loads resources from various sources and prepares them to be used for Voile.
  example: []
  syntax:
    content: 'public abstract class ResourceLoader<T> where T : Resource'
    typeParameters:
    - id: T
      description: ''
    content.vb: Public MustInherit Class ResourceLoader(Of T As Resource)
  inheritance:
  - System.Object
  derivedClasses:
  - Voile.Resources.FontLoader
  - Voile.Resources.SoundLoader
  - Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader
  - Voile.Texture2dLoader
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  nameWithType.vb: ResourceLoader(Of T)
  fullName.vb: Voile.Resources.ResourceLoader(Of T)
  name.vb: ResourceLoader(Of T)
- uid: Voile.Resources.ResourceLoader`1.SupportedExtensions
  commentId: P:Voile.Resources.ResourceLoader`1.SupportedExtensions
  id: SupportedExtensions
  parent: Voile.Resources.ResourceLoader`1
  langs:
  - csharp
  - vb
  name: SupportedExtensions
  nameWithType: ResourceLoader<T>.SupportedExtensions
  fullName: Voile.Resources.ResourceLoader<T>.SupportedExtensions
  type: Property
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SupportedExtensions
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile.Resources
  summary: File extensions that are supported by this loader.
  example: []
  syntax:
    content: public abstract IEnumerable<string> SupportedExtensions { get; }
    parameters: []
    return:
      type: System.Collections.Generic.IEnumerable{System.String}
    content.vb: Public MustOverride ReadOnly Property SupportedExtensions As IEnumerable(Of String)
  overload: Voile.Resources.ResourceLoader`1.SupportedExtensions*
  nameWithType.vb: ResourceLoader(Of T).SupportedExtensions
  fullName.vb: Voile.Resources.ResourceLoader(Of T).SupportedExtensions
- uid: Voile.Resources.ResourceLoader`1.Load(System.String)
  commentId: M:Voile.Resources.ResourceLoader`1.Load(System.String)
  id: Load(System.String)
  parent: Voile.Resources.ResourceLoader`1
  langs:
  - csharp
  - vb
  name: Load(string)
  nameWithType: ResourceLoader<T>.Load(string)
  fullName: Voile.Resources.ResourceLoader<T>.Load(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Load
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 21
  assemblies:
  - Voile
  namespace: Voile.Resources
  summary: Loads a resource to this resource loader's resource list.
  example: []
  syntax:
    content: public Guid Load(string path)
    parameters:
    - id: path
      type: System.String
      description: File system path to the resource to load.
    return:
      type: System.Guid
      description: A <xref href="System.Guid" data-throw-if-not-resolved="false"></xref> of the loaded resource that can be later retrieved with <xref href="Voile.Resources.ResourceLoader%601.TryGet(System.Guid%2c%600%40)" data-throw-if-not-resolved="false"></xref>.
    content.vb: Public Function Load(path As String) As Guid
  overload: Voile.Resources.ResourceLoader`1.Load*
  nameWithType.vb: ResourceLoader(Of T).Load(String)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).Load(String)
  name.vb: Load(String)
- uid: Voile.Resources.ResourceLoader`1.Reload
  commentId: M:Voile.Resources.ResourceLoader`1.Reload
  id: Reload
  parent: Voile.Resources.ResourceLoader`1
  langs:
  - csharp
  - vb
  name: Reload()
  nameWithType: ResourceLoader<T>.Reload()
  fullName: Voile.Resources.ResourceLoader<T>.Reload()
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Reload
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 42
  assemblies:
  - Voile
  namespace: Voile.Resources
  summary: Reloads resources loaded by this resource loader.
  example: []
  syntax:
    content: public void Reload()
    content.vb: Public Sub Reload()
  overload: Voile.Resources.ResourceLoader`1.Reload*
  nameWithType.vb: ResourceLoader(Of T).Reload()
  fullName.vb: Voile.Resources.ResourceLoader(Of T).Reload()
- uid: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  commentId: M:Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  id: TryGet(System.Guid,`0@)
  parent: Voile.Resources.ResourceLoader`1
  langs:
  - csharp
  - vb
  name: TryGet(Guid, out T?)
  nameWithType: ResourceLoader<T>.TryGet(Guid, out T?)
  fullName: Voile.Resources.ResourceLoader<T>.TryGet(System.Guid, out T?)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TryGet
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 56
  assemblies:
  - Voile
  namespace: Voile.Resources
  summary: Gets a resource from a GUID.
  example: []
  syntax:
    content: public bool TryGet(Guid resourceGuid, out T? resource)
    parameters:
    - id: resourceGuid
      type: System.Guid
      description: GUID of the resource to get.
    - id: resource
      type: '{T}'
      description: Retrieved resource. Will return a default resource if resource retrieval was not successful.
    return:
      type: System.Boolean
      description: True if resource retrieval was successful.
    content.vb: Public Function TryGet(resourceGuid As Guid, resource As T) As Boolean
  overload: Voile.Resources.ResourceLoader`1.TryGet*
  nameWithType.vb: ResourceLoader(Of T).TryGet(Guid, T)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).TryGet(System.Guid, T)
  name.vb: TryGet(Guid, T)
- uid: Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
  commentId: M:Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
  id: TryUnload(System.Guid)
  parent: Voile.Resources.ResourceLoader`1
  langs:
  - csharp
  - vb
  name: TryUnload(Guid)
  nameWithType: ResourceLoader<T>.TryUnload(Guid)
  fullName: Voile.Resources.ResourceLoader<T>.TryUnload(System.Guid)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TryUnload
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 75
  assemblies:
  - Voile
  namespace: Voile.Resources
  summary: Unloads a resource.
  example: []
  syntax:
    content: public bool TryUnload(Guid resourceGuid)
    parameters:
    - id: resourceGuid
      type: System.Guid
      description: GUID of a resource to unload.
    return:
      type: System.Boolean
      description: True if unloading was successful, otherwise false.
    content.vb: Public Function TryUnload(resourceGuid As Guid) As Boolean
  overload: Voile.Resources.ResourceLoader`1.TryUnload*
  nameWithType.vb: ResourceLoader(Of T).TryUnload(Guid)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).TryUnload(System.Guid)
- uid: Voile.Resources.ResourceLoader`1.LoadResource(System.String)
  commentId: M:Voile.Resources.ResourceLoader`1.LoadResource(System.String)
  id: LoadResource(System.String)
  parent: Voile.Resources.ResourceLoader`1
  langs:
  - csharp
  - vb
  name: LoadResource(string)
  nameWithType: ResourceLoader<T>.LoadResource(string)
  fullName: Voile.Resources.ResourceLoader<T>.LoadResource(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: LoadResource
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 95
  assemblies:
  - Voile
  namespace: Voile.Resources
  summary: Load steps specific to this resource loader.
  example: []
  syntax:
    content: protected abstract T LoadResource(string path)
    parameters:
    - id: path
      type: System.String
      description: File system path to the resource to load.
    return:
      type: '{T}'
      description: Loaded resource.
    content.vb: Protected MustOverride Function LoadResource(path As String) As T
  overload: Voile.Resources.ResourceLoader`1.LoadResource*
  nameWithType.vb: ResourceLoader(Of T).LoadResource(String)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).LoadResource(String)
  name.vb: LoadResource(String)
- uid: Voile.Resources.ResourceLoader`1._loadedResources
  commentId: F:Voile.Resources.ResourceLoader`1._loadedResources
  id: _loadedResources
  parent: Voile.Resources.ResourceLoader`1
  langs:
  - csharp
  - vb
  name: _loadedResources
  nameWithType: ResourceLoader<T>._loadedResources
  fullName: Voile.Resources.ResourceLoader<T>._loadedResources
  type: Field
  source:
    remote:
      path: Voile/Source/Resources/Loaders/ResourceLoader.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: _loadedResources
    path: Source/Resources/Loaders/ResourceLoader.cs
    startLine: 97
  assemblies:
  - Voile
  namespace: Voile.Resources
  syntax:
    content: protected Dictionary<Guid, T> _loadedResources
    return:
      type: System.Collections.Generic.Dictionary{System.Guid,{T}}
    content.vb: Protected _loadedResources As Dictionary(Of Guid, T)
  nameWithType.vb: ResourceLoader(Of T)._loadedResources
  fullName.vb: Voile.Resources.ResourceLoader(Of T)._loadedResources
references:
- uid: Voile.Resources
  commentId: N:Voile.Resources
  href: Voile.html
  name: Voile.Resources
  nameWithType: Voile.Resources
  fullName: Voile.Resources
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Resources.ResourceLoader`1.SupportedExtensions*
  commentId: Overload:Voile.Resources.ResourceLoader`1.SupportedExtensions
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_SupportedExtensions
  name: SupportedExtensions
  nameWithType: ResourceLoader<T>.SupportedExtensions
  fullName: Voile.Resources.ResourceLoader<T>.SupportedExtensions
  nameWithType.vb: ResourceLoader(Of T).SupportedExtensions
  fullName.vb: Voile.Resources.ResourceLoader(Of T).SupportedExtensions
- uid: System.Collections.Generic.IEnumerable{System.String}
  commentId: T:System.Collections.Generic.IEnumerable{System.String}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.IEnumerable`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<string>
  nameWithType: IEnumerable<string>
  fullName: System.Collections.Generic.IEnumerable<string>
  nameWithType.vb: IEnumerable(Of String)
  fullName.vb: System.Collections.Generic.IEnumerable(Of String)
  name.vb: IEnumerable(Of String)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: System.Collections.Generic.IEnumerable`1
  commentId: T:System.Collections.Generic.IEnumerable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<T>
  nameWithType: IEnumerable<T>
  fullName: System.Collections.Generic.IEnumerable<T>
  nameWithType.vb: IEnumerable(Of T)
  fullName.vb: System.Collections.Generic.IEnumerable(Of T)
  name.vb: IEnumerable(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: System.Guid
  commentId: T:System.Guid
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.guid
  name: Guid
  nameWithType: Guid
  fullName: System.Guid
- uid: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  commentId: M:Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  isExternal: true
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  name: TryGet(Guid, out T)
  nameWithType: ResourceLoader<T>.TryGet(Guid, out T)
  fullName: Voile.Resources.ResourceLoader<T>.TryGet(System.Guid, out T)
  nameWithType.vb: ResourceLoader(Of T).TryGet(Guid, T)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).TryGet(System.Guid, T)
  name.vb: TryGet(Guid, T)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
    name: TryGet
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - name: out
  - name: " "
  - name: T
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
    name: TryGet
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - name: T
  - name: )
- uid: Voile.Resources.ResourceLoader`1.Load*
  commentId: Overload:Voile.Resources.ResourceLoader`1.Load
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Load_System_String_
  name: Load
  nameWithType: ResourceLoader<T>.Load
  fullName: Voile.Resources.ResourceLoader<T>.Load
  nameWithType.vb: ResourceLoader(Of T).Load
  fullName.vb: Voile.Resources.ResourceLoader(Of T).Load
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Resources.ResourceLoader`1.Reload*
  commentId: Overload:Voile.Resources.ResourceLoader`1.Reload
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Reload
  name: Reload
  nameWithType: ResourceLoader<T>.Reload
  fullName: Voile.Resources.ResourceLoader<T>.Reload
  nameWithType.vb: ResourceLoader(Of T).Reload
  fullName.vb: Voile.Resources.ResourceLoader(Of T).Reload
- uid: Voile.Resources.ResourceLoader`1.TryGet*
  commentId: Overload:Voile.Resources.ResourceLoader`1.TryGet
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  name: TryGet
  nameWithType: ResourceLoader<T>.TryGet
  fullName: Voile.Resources.ResourceLoader<T>.TryGet
  nameWithType.vb: ResourceLoader(Of T).TryGet
  fullName.vb: Voile.Resources.ResourceLoader(Of T).TryGet
- uid: '{T}'
  commentId: '!:T'
  definition: T
  name: T
  nameWithType: T
  fullName: T
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: T
  name: T
  nameWithType: T
  fullName: T
- uid: Voile.Resources.ResourceLoader`1.TryUnload*
  commentId: Overload:Voile.Resources.ResourceLoader`1.TryUnload
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryUnload_System_Guid_
  name: TryUnload
  nameWithType: ResourceLoader<T>.TryUnload
  fullName: Voile.Resources.ResourceLoader<T>.TryUnload
  nameWithType.vb: ResourceLoader(Of T).TryUnload
  fullName.vb: Voile.Resources.ResourceLoader(Of T).TryUnload
- uid: Voile.Resources.ResourceLoader`1.LoadResource*
  commentId: Overload:Voile.Resources.ResourceLoader`1.LoadResource
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_LoadResource_System_String_
  name: LoadResource
  nameWithType: ResourceLoader<T>.LoadResource
  fullName: Voile.Resources.ResourceLoader<T>.LoadResource
  nameWithType.vb: ResourceLoader(Of T).LoadResource
  fullName.vb: Voile.Resources.ResourceLoader(Of T).LoadResource
- uid: System.Collections.Generic.Dictionary{System.Guid,{T}}
  commentId: T:System.Collections.Generic.Dictionary{System.Guid,`0}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.Dictionary`2
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<Guid, T>
  nameWithType: Dictionary<Guid, T>
  fullName: System.Collections.Generic.Dictionary<System.Guid, T>
  nameWithType.vb: Dictionary(Of Guid, T)
  fullName.vb: System.Collections.Generic.Dictionary(Of System.Guid, T)
  name.vb: Dictionary(Of Guid, T)
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic.Dictionary`2
  commentId: T:System.Collections.Generic.Dictionary`2
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  name: Dictionary<TKey, TValue>
  nameWithType: Dictionary<TKey, TValue>
  fullName: System.Collections.Generic.Dictionary<TKey, TValue>
  nameWithType.vb: Dictionary(Of TKey, TValue)
  fullName.vb: System.Collections.Generic.Dictionary(Of TKey, TValue)
  name.vb: Dictionary(Of TKey, TValue)
  spec.csharp:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: <
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.Dictionary`2
    name: Dictionary
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary-2
  - name: (
  - name: Of
  - name: " "
  - name: TKey
  - name: ','
  - name: " "
  - name: TValue
  - name: )
